[SeaMonkey, (Debug) Linux] REFTEST TEST-UNEXPECTED-FAIL | ico-size-1x1-1bpp.ico | load failed: null (+ test fail ico-bmp-*bpp, reftest times out)

RESOLVED WORKSFORME

Status

()

defect
--
major
RESOLVED WORKSFORME
8 years ago
4 years ago

People

(Reporter: sgautherie, Unassigned)

Tracking

(Blocks 1 bug, {intermittent-failure})

Trunk
x86
Linux
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [test which aborts the suite], )

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Beta/1323722094.1323730230.7787.gz
Linux comm-beta debug test reftest on 2011/12/12 12:34:54
{
REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/test/build/reftest/tests/modules/libpr0n/test/reftest/ico/ico-bmp-1bpp/ico-size-1x1-1bpp.ico | load failed: null
...
REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/test/build/reftest/tests/modules/libpr0n/test/reftest/ico/ico-bmp-4bpp/ico-size-4x4-4bpp.ico | load failed: null
buildbot.slave.commands.TimeoutError: command timed out: 7200 seconds elapsed, attempting to kill
}

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1323783195.1323790540.17279.gz&fulltext=1
Linux comm-central-trunk debug test reftest on 2011/12/13 05:33:15
{
REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/test/build/reftest/tests/image/test/reftest/ico/ico-bmp-1bpp/ico-size-1x1-1bpp.ico | load failed: null
...
REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/test/build/reftest/tests/image/test/reftest/ico/ico-bmp-4bpp/ico-size-3x3-4bpp.ico | load failed: null
buildbot.slave.commands.TimeoutError: command timed out: 7200 seconds elapsed, attempting to kill
}
Reporter

Updated

8 years ago
Blocks: 593245
No longer blocks: 593425
Did this just start happening? This has been landed for a long time now on m-c and aurora.  Maybe SeakMonkey recently took in the changes and that's why you see it now?
Reporter

Updated

8 years ago
Whiteboard: [perma-orange] → [perma-orange] [test which aborts the suite]
Reporter

Comment 2

8 years ago
(In reply to Brian R. Bondy [:bbondy] from comment #1)
> Did this just start happening?

More likely, noone checked nor filed a bug for a long time.

Oldest "beta" SeaMonkey build:
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Beta/1321460330.1321467744.5590.gz&fulltext=1
Linux comm-beta debug test reftest on 2011/11/16 08:18:50
rev:d540d1739287
moz:59962ec0942e
{
REFTEST TEST-START | file:///builds/slave/test/build/reftest/tests/modules/libpr0n/test/reftest/ico/ico-bmp-1bpp/ico-size-1x1-1bpp.ico
WARNING: NS_ENSURE_TRUE(file) failed: file /builds/slave/comm-beta-lnx-dbg/build/mozilla/netwerk/base/src/nsIOService.cpp, line 580

WARNING: OpenGL-accelerated layers are not supported on this system.: file /builds/slave/comm-beta-lnx-dbg/build/mozilla/widget/src/xpwidgets/nsBaseWidget.cpp, line 853

REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/test/build/reftest/tests/modules/libpr0n/test/reftest/ico/ico-bmp-1bpp/ico-size-1x1-1bpp.ico | load failed: null
REFTEST INFO | Saved log: START file:///builds/slave/test/build/reftest/tests/modules/libpr0n/test/reftest/ico/ico-bmp-1bpp/ico-size-1x1-1bpp.ico
}
was already failing.
Note that /modules/libpr0n/ should no longer exist, these tests should be in /image now.
> Linux comm-beta debug test reftest on 2011/12/12 12:34:54
> REFTEST TEST-UNEXPECTED-FAIL | 
> file:///builds/slave/test/build/reftest/tests/modules/libpr0n/test/
> reftest/ico/ico-bmp-1bpp/ico-size-1x1-1bpp.ico | load failed: null

I think this is a bug with the build machine or something.  Maybe the folder needs to be cleared out. 

I checked out a copy of comm-central and it has no mozilla/modules/libpr0n but it does have a mozilla/image.  Also the reftest is not failing on compare error but on load error.  Seems like some old files are left behind in the old location.
Reporter

Comment 5

8 years ago
(In reply to Brian R. Bondy [:bbondy] from comment #3)
> Note that /modules/libpr0n/ should no longer exist, these tests should be in
> /image now.

According to MXR, that change happened in mozilla-aurora.
The logs I posted reflect that.


(In reply to Brian R. Bondy [:bbondy] from comment #4)

> > Linux comm-beta debug test reftest on 2011/12/12 12:34:54
> > REFTEST TEST-UNEXPECTED-FAIL | 
> > file:///builds/slave/test/build/reftest/tests/modules/libpr0n/test/
> > reftest/ico/ico-bmp-1bpp/ico-size-1x1-1bpp.ico | load failed: null
> 
> I think this is a bug with the build machine or something.  Maybe the folder
> needs to be cleared out. 

Hum. Which folder?

NB: I would prefer if someone could try to reproduce locally first...

> I checked out a copy of comm-central and it has no mozilla/modules/libpr0n
> but it does have a mozilla/image.  Also the reftest is not failing on

That is expected/correct.

> compare error but on load error.  Seems like some old files are left behind

Yes, that's what I reported.
http://mxr.mozilla.org/comm-central/source/mozilla/layout/tools/reftest/reftest.js#1289
Sadly, "null" is not very helpful as a "why" :-/

> in the old location.

Which old location of which build? Why would it make any difference anyway?
> REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/test/build/reftest/tests
> /modules/libpr0n/test/reftest/ico/ico-bmp-1bpp/ico-size-1x1-1bpp.ico | 
> load failed: null

This shows that /modules/libpr0n/test/reftest failed.
But no code exists in /modules/libpr0n anymore.
All of the modules/libpr0n code was moved to /image.

I don't understand how a build from 2011/12/12 12:34:54 could be running a test on /modules/libpr0n.
Reporter

Comment 7

8 years ago
(In reply to Brian R. Bondy [:bbondy] from comment #6)
> I don't understand how a build from 2011/12/12 12:34:54 could be running a
> test on /modules/libpr0n.

It can: comm-beta is based on mozilla-beta, which doesn't have the "directory" change.

Yet I posted these logs to show this bug is an "old" issue only.
The main point is that current trunk builds (still) fail.
OK thanks for clearing that up
Does this still fail? If so I can look into this soon.
Reporter

Comment 10

7 years ago
(In reply to Brian R. Bondy [:bbondy] from comment #9)
> Does this still fail? If so I can look into this soon.

SM 2.12a1:

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1336356298.1336363542.1755.gz&fulltext=1
Linux comm-central-trunk debug test reftest on 2012/05/06 19:04:58
s: cb-sea-linux-tbox
{
REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/test/build/reftest/tests/image/test/reftest/ico/ico-bmp-1bpp/ico-size-1x1-1bpp.ico | load failed: null
[...]
buildbot.slave.commands.TimeoutError: command timed out: 7200 seconds elapsed, attempting to kill
}
So I ran the tests with a seamonkey build on both Windows and Ubuntu and I get all success 0 errors for image reftests.  I also tried running just the ico subfolder reftests but they pass as well.

Here's the command I ran:
TEST_PATH=image/test/reftest/reftest.list make -C objdir-sm-debug/ reftest

Any idea on how I can reproduce the load failed error?
Reporter

Comment 12

7 years ago
(In reply to Brian R. Bondy [:bbondy] from comment #11)

A few thoughts:
*This bug happens on SeaMonkey Linux boxes only (= not Windows).
*Could be "in-tree != packaged" tests.
*Could be "Ubuntu != CentOS".
*If not locally reproducible, Callek (or ewong) should investigate on one of the box itself :-|
> *If not locally reproducible, Callek (or ewong) should investigate 
> on one of the box itself :-|

It is not, thanks sounds good.
Adjusting bug so that it appears on tbpl
Summary: [SeaMonkey, (Debug) Linux] reftest: "load failed: null" in "ico-bmp-*bpp" tests, ending with "command timed out: 7200 seconds" → [SeaMonkey, (Debug) Linux] REFTEST TEST-UNEXPECTED-FAIL | ico-size-1x1-1bpp.ico | load failed: null (+ test fail ico-bmp-*bpp, reftest times out)
Whiteboard: [perma-orange] [test which aborts the suite] → [test which aborts the suite]
Comment hidden (Legacy TBPL/Treeherder Robot)
Inactive; closing (see bug 1180138).
Status: NEW → RESOLVED
Closed: 4 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.